Class | Bio::Genscan::Report::Exon
In: | lib/bio/appl/genscan/report.rb
Parent: | Object

# Container class of a predicted gene structure.

### Methods

acceptor_score donor_score exon_type_long initiation_score new parser range termination_score

### Constants

TYPES | = | { 'Init' => 'Initial exon', 'Intr' => 'Internal exon', 'Term' => 'Terminal exon', 'Sngl' => 'Single-exon gene', 'Prom' => 'Promoter', 'PlyA' => 'poly-A signal' |  |

### External Aliases

score | -> | coding_region_score

### Attributes

exon_type | [R] | Returns "Type" field.
first | [R] | Returns Returns first position of the region. "Begin" field.
frame | [R] | Returns "Fr" field.
gene_number | [R] | Returns
last | [R] | Returns Returns last position of the region. "End" field.
number | [R] | Returns "Ex", exon number field
p_value | [R] | Returns "P" field.
phase | [R] | Returns "Ph" field.
score | [R] | Returns "CodRg" field.
strand | [R] | Returns "S" field.
t_score | [R] | Returns "Tscr" field.

### Public Class methods

new(gnex, t, s, b, e, len, fr, ph, iac, dot, cr, prob, ts)

Bio::Genescan::Report::Exon.new(gene_number, exon_type, strand, first, end, length, frame, phase, acceptor_score, donor_score, score, p_value, t_score)

[Source]

         # File lib/bio/appl/genscan/report.rb, line 318
    318:       def initialize(gnex, t, s, b, e, len, fr, ph, iac, dot, cr, prob, ts)
    319:         @gene_number, @number = gnex.split(".").map {|n| n.to_i }
    320:         @exon_type = t
    321:         @strand    = s
    322:         @first     = b.to_i
    323:         @last      = e.to_i
    324:         @length    = len.to_i
    325:         @frame     = fr
    326:         @phase     = ph
    327:         @i_ac      = iac.to_i
    328:         @do_t      = dot.to_i
    329:         @score     = cr.to_i
    330:         @p_value   = prob.to_f
    331:         @t_score   = ts.to_f
    332:       end

parser(line)

Bio::Genescan::Report::Exon.parser

[Source]

         # File lib/bio/appl/genscan/report.rb, line 267
    267:       def self.parser(line)
    268:         e = line.strip.split(/ +/)
    269:         case line
    270:         when /PlyA/, /Prom/
    271:           e[12] = e[6].clone
    272:           e[11] = 0
    273:           [6,7,8,9,10].each {|i| e[i] = nil }
    274:         end
    275:         self.new(e[0], e[1], e[2], e[3], e[4], e[5], e[6],
    276:                  e[7], e[8], e[9], e[10], e[11], e[12])
    277:       end

### Public Instance methods

acceptor_score()

Bio::Genescan::Report::Exon#acceptor_score

"I/Ac" field.

[Source]

         # File lib/bio/appl/genscan/report.rb, line 355
    355:       def acceptor_score
    356:         @i_ac
    357:       end

donor_score()

Bio::Genescan::Report::Exon#donor_score

"Do/T" field.

[Source]

         # File lib/bio/appl/genscan/report.rb, line 364
    364:       def donor_score
    365:         @do_t
    366:       end

exon_type_long()

Bio::Genescan::Report::Exon#exon_type_long

Returns a human-readable "Type" of exon.

[Source]

         # File lib/bio/appl/genscan/report.rb, line 339
    339:       def exon_type_long
    340:         TYPES[exon_type]
    341:       end

initiation_score()

Alias for acceptor_score

range()

Bio::Genescan::Report::Exon#range

Returns Range object of the region.

[Source]

         # File lib/bio/appl/genscan/report.rb, line 347
    347:       def range
    348:         Range.new(@first, @last)
    349:       end

termination_score()

Alias for donor_score

[Validate]